Framework 'Mono / .NET 4.5 not installed

setup: Mac OsX Lion, Xamarin Studio 4.0.8, Mono 2.10.12
problem: error - Framework 'Mono / .NET 4.5' not installed.
trigger: while having a C# running, changing 'Xamarin Studio', 'Preferences', '.Projects', '.NET Runtimes', will provoke following error while switching between .NET 2012 and .NET 2010. Putting .NET 2012 back to .NET 2010 doesn't help: while building programs that used to work, the error remains.

question: does anyone knows a solution for this problem please or can someone tell me what's happening here?

Thank you !

Posts

  • mhutchmhutch USMember, Xamarin Team Xamurai

    Mono 2.10.x does not support the .NET 4.5 framework, you must upgrade to Mono 3.x for this.

  • intrazintraz USMember

    how?

  • HerrFledermausHerrFledermaus USMember

    I reinstalled everything and it worked again. But I think they came up with a patch, no?

  • mhutchmhutch USMember, Xamarin Team Xamurai

    Either switch to the Alpha channel or download and install Mono 3.x from mono-project.com.

Sign In or Register to comment.